ostrace_activity_cb_t
ostrace_archive_write_cb_t
ostrace_client_free
ostrace_client_new
ostrace_client_start_service
ostrace_client_t
ostrace_create_archive
ostrace_error_t
ostrace_get_pid_list
OSTRACE_SERVICE_NAME
ostrace_start_activity
ostrace_stop_activity

## ostrace_client_new()

LIBIMOBILEDEVICE_API ostrace_error_t ostrace_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | ostrace_client_t * | client )

Connects to the os_trace_relay service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated ostrace_client_t upon successful return. Must be freed using ostrace_client_free() after use.

Returns
  OSTRACE_E_SUCCESS on success, OSTRACE_E_INVALID_ARG when client is NULL, or an OSTRACE_E_* error code otherwise.